export declare enum NxChromaticType {
    Single = "Single",
    Sequential = "Sequential",
    Categorical = "Categorical"
}
export interface ColorScheme {
    group?: string;
    name: string;
    type: NxChromaticType;
    value: any;
}
export declare function getChromaticScale(name: string, domain: number[], reverse?: boolean): (t: number) => string;
export declare const NX_COLOR_CHROMATIC = 1;
export declare const CHROMATICS: ({
    provide: number;
    useValue: {
        group: string;
        name: string;
        type: NxChromaticType;
        value: any;
    };
    multi: boolean;
} | {
    provide: number;
    useValue: {
        group: string;
        name: string;
        value: any;
        type?: undefined;
    };
    multi: boolean;
})[];
