import { ChartAnnotation, ChartSettings, EntityType, QueryReturn } from '@metad/ocap-core';
import { EChartsContext, EChartsOptions, ICoordinateSingleAxis } from './types';
export declare function themeRiver(data: QueryReturn<unknown>, chartAnnotation: ChartAnnotation, entityType: EntityType, settings: ChartSettings, options: EChartsOptions): EChartsContext;
/**
 * 未来支持:
 *  1. 基于维度成员的主题河
 *  2. 基于不同度量的主题河
 *
 * @param data
 * @param chartAnnotation
 * @param entityType
 * @param settings
 * @param options
 * @returns
 */
export declare function themeRiverCoordinate(context: EChartsContext, data: Array<Record<string, unknown>>): ICoordinateSingleAxis;
