import { AxisEnum, EChartsContext } from "../types";
/**
 * @todo Coordinate system should use x y z identifying axis
 *
 * @param chartAnnotation
 * @param entityType
 * @param items
 * @param chartOptions
 * @param locale
 * @returns
 */
export declare function getCoordinateSystem(context: EChartsContext, items: Array<unknown>, locale: string): {
    categoryAxis: {
        orient: AxisEnum;
        axis: any[];
        dataZooms: any[];
    };
    valueAxis: {
        orient: AxisEnum;
        axis: any;
        dataZooms: any[];
    };
};
export declare function getPolarCoordinateSystem(context: EChartsContext, items: Array<unknown>, locale: string): {
    categoryAxis: {
        orient: AxisEnum;
        axis: any[];
        dataZooms: any;
    };
    valueAxis: {
        orient: AxisEnum;
        axis: any;
        dataZooms: any;
    };
};
