import { CoordinateContext, EChartsContext, EChartsOptions, ICoordinate } from './types';
export declare function gatherCoordinates(coordinates: ICoordinate[], type: 'pie' | string, options: EChartsOptions): any;
/**
 * get coordinates by trellis or single coordinate
 *
 * @param context CoordinateContext
 * @param coordinateType
 * @param cartesianCoordinate
 * @returns
 */
export declare function trellisCoordinates(context: CoordinateContext, coordinateType: 'grid' | 'pie', cartesianCoordinate: (context: EChartsContext, data: Array<any>, serializeSeriesComponent: any, ...i: any[]) => ICoordinate): ICoordinate[];
