import { AggregationRole, ChartAnnotation } from '@metad/ocap-core';
export declare const SALES_ENTITY_TYPE: {
    name: string;
    properties: {
        '[Time]': {
            name: string;
            role: AggregationRole;
            memberCaption: string;
        };
        '[Product]': {
            name: string;
            role: AggregationRole;
            memberCaption: string;
        };
        sales: {
            name: string;
            role: AggregationRole;
        };
    };
};
export declare const CHART_ANNOTATION: ChartAnnotation;
export declare const DATA: {
    '[Time]': string;
    '[Time].[MEMBER_CAPTION]': string;
    '[Product]': string;
    '[Product].[MEMBER_CAPTION]': string;
    sales: number;
}[];
